---
schema_version: "1"
id: 979d90d2f5db1e18716b4a96043fbe49066de6bbae32ad55e24fdfced42a784b
title: Data Global Locale Info (deprecated)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/b2c-commerce/references/generated-api-specs/ocapi-data-global-locale-info.md
canonical_url: https://developer.salesforce.com/docs/commerce/b2c-commerce/references/ocapi-data-global-locale-info
source_site: developer.salesforce.com
content_type: documentation
content_hash: ccd9f3fe018750273c8c74ed2d327a3b29b875e2f44d33439365d715fc5e6839
products:
  - B2C Commerce
  - Salesforce APIs
---
Data Global Locale Info (deprecated)

# Data Global Locale Info (deprecated)

Data API endpoints enable developers to build applications for merchants: Create, update, delete business objects, like products, customers, pricing and promotions or assignments. They typically provide read and write access and are designed for moderate usage.

**Version:** 25.6

## Servers

*   `https://{host}/s/-/dw/data/v25_6`

Protocols: https.

## Security

*   `oauth2_application` (oauth2) Authentication flow with client ID and password with account manager.
    *   OAuth flow application (tokenUrl: https://account.demandware.com:443/dwsso/oauth2/access\_token)
    *   Scope x-info: Scopes are NOT supported. This is just a dummy, because the 'scopes' field is required.
*   `client_id` (apiKey) Add client ID for application identification. Alternative as 'client\_id' query parameter.
    *   API key in header: x-dw-client-id

## Operations

### GET Get Locales

`GET /locale_info/locales`

Operation ID: `Get Locales`. Tags: locale\_info. Security: oauth2\_application.

Action to get the set of active locales for which the user has read or write permission.

#### Parameters

*   `id` (query, string) optional locale to return by id. If specified, that locale is looked up and returned, otherwise the list is returned.
*   `select` (query, string) the set of fields to return from the request. Default is only the locale id.
*   `start` (query, integer (int32)) the start index for paging. Default is 0.
*   `count` (query, integer (int32)) the count of the records to return in this page. Default is 25.

#### Responses

*   **default**
    
    Media type: `application/json, text/xml`. Schema: `locale_result`.
    

## Schemas

### locale\_result

Contains the result of getting the system locales.

*   `count` (_integer (int32)_) The number of returned documents.
*   `data` (_array of object_)
*   `hits` (_array of locale_) The locales found by the request
*   `id` (_string_) The input locale (none specifies get all locales)
*   `include_all` (_boolean_) True to get the all the hits for all the locales, not just the active allowed ones
*   `next` (_string_) The URL of the next result page.
*   `previous` (_string_) The URL of the previous result page.
*   `select` (_string_) The string describing the set of fields to return in the result.
*   `start` (_integer (int32)_) The zero-based index of the first search hit to include in the result.  
    Minimum: 0.
*   `total` (_integer (int32)_) The total number of documents.

_Example_

```
{
  "count": 4,
  "hits": [
    {
      "active": true,
      "country": "",
      "default": true,
      "display_country": "",
      "display_language": "",
      "display_name": "default",
      "id": "default",
      "iso3_country": "",
      "iso3_language": "",
      "language": "",
      "name": "default"
    },
    {
      "active": true,
      "country": "",
      "default": false,
      "display_country": "",
      "display_language": "español",
      "display_name": "español",
      "id": "es",
      "iso3_country": "",
      "iso3_language": "spa",
      "language": "es",
      "name": "Spanish"
    }
  ],
  "select": "(**)",
  "start": 0,
  "total": 4
}
```

### locale

Document that describes a single locale.

*   `active` (_boolean_) Flag that is true if the locale is currently active in the system.
*   `country` (_string_) The uppercase ISO 3166 2-letter country/region code for this Locale. If no country has been specified for this Locale, this value is an empty string.
*   `default` (_boolean_) Flag that is true if the locale is the default one to use if an explicit locale is not specified.
*   `display_country` (_string_) The display name of this Locale's country, in this Locale's language, not in the session locale's language. If no country has been specified for this Locale, this value is an empty string.
*   `display_language` (_string_) The display name of this Locale's language, in this Locale's language, not in the session locale's language. If no country has been specified for this Locale, this value is an empty string.
*   `display_name` (_string_) The display name of this Locale, in this Locale's language, not in the session locale's language. If no display name has been specified for this Locale, this value is an empty string.
*   `id` (_string_)
    
    Returns the String representation of the localeID.
    
    Combines the language and the country key, concatenated with "-". For example: "en-US". This attribute is the primary key of the class.
    
*   `iso3_country` (_string_) The uppercase ISO 3166 3-letter country/region code for this Locale. If no country has been specified for this Locale, this value is an empty string.
*   `iso3_language` (_string_) The 3-letter ISO 639 language code for this Locale. If no language has been specified for this Locale, this value is an empty string.
*   `language` (_string_) The lowercase ISO 639 language code for this Locale. If no language has been specified for this Locale, this value is an empty string.
*   `name` (_string_) The display name of the Locale. Uses the current request locale to localize the value.

_Example_

```
{
  "active": true,
  "country": "",
  "default": false,
  "display_country": "",
  "display_language": "español",
  "display_name": "español",
  "id": "es",
  "iso3_country": "",
  "iso3_language": "spa",
  "language": "es",
  "name": "Spanish"
}
```

### cause

*   `cause` (_cause_)
*   `message` (_string_)
*   `type` (_string_)

### fault

Document representing a fault message that is returned whenever the HTTP status code is greater than or equal to 400 (which indicates an error).

*   `arguments` (_object_)
    
    A map that provides fault arguments.
    
    Data can be used to provide error messages on the client side.
    
    Additional properties: `object`.
    
*   `cause` (_cause_)
*   `display_message_pattern` (_string_) The localized display message pattern, if the request parameter display\_locale was given
*   `message` (_string_) The message text of the java exception.
*   `stack_trace` (_string_)
*   `type` (_string_) The name of the java exception.